Amplify APIReference
Retrieve a Single Marketer
GET
/marketers/{id}Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
the Marketer's id
Query Parameters
extraFields?string
the additional marketer fields you want to include in the response
Response Body
application/json
curl -X GET "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab041962?extraFields=Account"{ "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "my marketer", "enabled": true, "lastModified": "2014-04-20 14:52:13", "creationTime": "2013-06-19 21:17:11", "blockedSites": { "blockedPublishers": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Publisher Name 1", "creationTime": "2016-01-12 04:02:34", "expiration": "2026-01-31" }, { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "Blocked Publisher Name 2", "creationTime": "2016-01-12 04:02:34" } ], "blockedSections": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Section Name", "creationTime": "2016-01-12 04:02:34", "expiration": "2026-01-31", "publisher": { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "The name of the publisher the section belongs to" } } ] }, "account": { "type": "Agency", "salesForceAccountId": "00f4b02153ee75f3c9dc4fc128ab041965" }, "logoMetadata": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "url": "http://someImageUrl.com/logo.png" }}